package beans;

import common.Project;
import java.util.ArrayList;
import java.util.List;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import org.primefaces.model.DefaultTreeNode;
import org.primefaces.model.TreeNode;

/**
 *
 * @author Nils Christian Ehmke
 */
@ManagedBean
@ApplicationScoped
public final class ProjectsBean {

    private final List<Project> projects;

    public ProjectsBean() {
        projects = new ArrayList<Project>();
    }

    public synchronized boolean addProject(final String projectName) {
        return projects.add(new Project(projectName));
    }

    public synchronized TreeNode getProjectsRoot() {
        TreeNode root = new DefaultTreeNode("Root", null);
        
        for (final Project project : projects) {
            final TreeNode projectNode = new DefaultTreeNode(project.getName(), root);
            final TreeNode dependenciesNode = new DefaultTreeNode("Dependencies", projectNode);
            final TreeNode usedPluginsNode = new DefaultTreeNode("Used Plugins", projectNode);
            
            for (final String dependency : project.getDependencies()) {
                final TreeNode dependencyNode = new DefaultTreeNode(dependency, dependenciesNode);
            }
        }
        
        return root;
    }
}
