package common;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author Nils Christian Ehmke
 */
public final class Project {

    private String name;
    private List<String> dependencies;

    public Project(final String name) {
        this.name = name;
        this.dependencies = new ArrayList<String>();
    }

    public String getName() {
        return name;
    }

    public synchronized boolean addDependency(final String dependencyName) {
        return this.dependencies.add(dependencyName);
    }

    public synchronized List<String> getDependencies() {
        return dependencies;
    }
}
